Page MenuHomePhabricator

When a file move is started, find the correct config file for template and category mapping
Closed, ResolvedPublic

Description

Acceptance Criteria

Notes

  • Check in the CommonsHelper code base what is done to find the correct files.
  • Check the outcome of the investigation ticket T193614 when implementing this.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Lea_WMDE triaged this task as Medium priority.May 2 2018, 10:29 AM
Lea_WMDE created this task.

Change 434677 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Extract category and template information from CommonsHelper's config files

https://gerrit.wikimedia.org/r/434677

Lea_WMDE changed the point value for this task from 5 to 3.May 23 2018, 1:39 PM

Change 437289 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Add basic happy test for CommonsHelperConfigRetriever

https://gerrit.wikimedia.org/r/437289

Change 437419 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] [WIP] Mark code that needs to be worked on with FIXMEs

https://gerrit.wikimedia.org/r/437419

Change 434677 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Extract category and template information from CommonsHelper's config files

https://gerrit.wikimedia.org/r/434677

Change 437289 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add basic happy test for CommonsHelperConfigRetriever

https://gerrit.wikimedia.org/r/437289

Change 439555 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] More consistent normalization of CommonsHelper2 config page names

https://gerrit.wikimedia.org/r/439555

To tests: I configured https://mwfileimport.wmflabs.org/wiki/index.php/Special:ImportFile so it can be used with the CommonsHelper2 config files.

Change 439555 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] More consistent normalization of CommonsHelper2 config page names

https://gerrit.wikimedia.org/r/439555

Vvjjkkii renamed this task from When a file move is started, find the correct config file for template and category mapping to 4sdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii removed Andrew-WMDE as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: gerritbot.
Bodhisattwa renamed this task from 4sdaaaaaaa to When a file move is started, find the correct config file for template and category mapping.Jul 1 2018, 1:28 PM
Bodhisattwa assigned this task to Andrew-WMDE.
Bodhisattwa lowered the priority of this task from High to Medium.
Bodhisattwa updated the task description. (Show Details)
Bodhisattwa added a subscriber: gerritbot.